#############################
# Local config modification #
#############################

# PID service
# type o service; for now only epic and epic2 are supported
lr.pid.service.type =
lr.pid.service.url = https://handle.gwdg.de/pidservice/
lr.pid.service.user = 
lr.pid.service.pass = 
# test pid which should have been created with the above credentials
lr.pid.service.testPid =
# per community pid configurations for pid prefixes of the format:
# community=<community ID>,prefix=<prefix>,alternative_prefixes=<pipeline separated list of alternative prefixes>,type=<local|epic>,canonical_prefix=<URL of handle>,subprefix=<subprefix>
# multiple configurations can be given separated by semicolon
# default configuration should have asterisk as the community ID
# subprefix is only used for local handles
lr.pid.community.configurations = community=*,prefix=20.500.12084,type=local,canonical_prefix=http://hdl.handle.net/
# if true, PID metadata will be filled with object metadata like title
lr.pid.resolvemetadata = true

handle.canonical.prefix = http://hdl.handle.net/
handle.prefix = 20.500.12084 
handle.dir=${dspace.dir}/handle-server

lr.reserve.pid.on.start = false


# UFAL mounted assetstore for restricted item harvesting. Please mind the trailing slash
lr.harvestable.assetstore =


# DSpace host name - should match base URL. Do not include protocol i.e. http or https and do not include port, this is only the name of server.
# Also do not use localhost because using this property some external links will be generated.
dspace.hostname = clarin.eurac.edu

# DSpace base URL, the full url of the instance
# !!! URL must NOT contain trailing slash !!!
dspace.baseUrl = https://clarin.eurac.edu/repository

# OAI webapp url without context (eg. /request) use http
# in theory ${dspace.baseUrl}/oai except for the http requirement
dspace.oai.url = http://clarin.eurac.edu/repository/oai

# DSpace URL, usually ending with /xmlui
# DSpace base URL.  Include port number etc., but NOT trailing slash
dspace.url = ${dspace.baseUrl}/xmlui

# Google analytics key
xmlui.google.analytics.key =

# Database settings ########################

# The name of the database that you will use for your dspace instance.
# If the database is not created yet, this name will be used to create the new database.
# Be careful with the trailing spaces in the name!
# TODO: should port also come from environment variable?
# lr.database.port = ${env.DSPACE_POSTGRESQL_SERVICE_PORT_POSTGRESQL} 
lr.database = ${DSPACE_DBNAME}
lr.database.port = 5432

# Connection URL of the database. Make sure you are using the correct port and if you are connecting to remote server,
# verify that the port is accessible. Do not change the ${lr.database}, the database name will be substituted from above property.
# TODO: hostname should come from environment variable, e.g.
# db.url = jdbc:postgresql://${env.DSPACE_POSTGRESQL_SERVICE_HOST}:${lr.database.port}/${lr.database}
db.url = jdbc:postgresql://postgres:${lr.database.port}/${lr.database}

# The database driver you are using. Make sure that the required jars are available.
db.driver = org.postgresql.Driver

# Credentials for the database user. The user should have read/write permissions on your database.
db.username = ${DSPACE_USER}
db.password = ${DSPACE_PASSWORD}

db.maxidle = -1
db.schema =
db.maxwait = 5000
db.maxconnections = 30
db.statementpool = true
db.poolname = dspacepool

# UFAL Utilities database name.
lr.utilities.database = ${DSPACE_UTILSDBNAME}

# Connection URL for the Utilities database.
# TODO: hostname should come from environment variable, see above
lr.utilities.db.url = jdbc:postgresql://postgres:${lr.database.port}/${lr.utilities.database}

# Functionality Manager facade for Utilities API
lr.utilities.functionalityManager.class = cz.cuni.mff.ufal.lindat.utilities.HibernateFunctionalityManager

############################################

# DSpace general settings ##################

# You can use this value to append version with other values.
lr.dspace.version = lindat-dspace5

# The installation directory of your instance.
# THIS IS USED IN THE VARIABLES/MAKEFILE so don't use variables(${*}) here
dspace.install.dir = /opt/lindat-dspace/installation

# A description of your dspace instance. It will be used as a description of your dspace instance for other services
dspace.name = Eurac Research CLARIN Centre
# Used in email templates
lr.dspace.name.short = ERCC

supported.locales = en

default.language = en_US
http.proxy.host =
http.proxy.port =
loglevel.other=INFO
loglevel.dspace=INFO


############################################

# Mail settings ############################

# Mail server address. you can use 127.0.0.1, if configured on localhost.
mail.server = smtp.office365.com

# Mail server disabled?
mail.server.disabled = false

mail.server.username = ${MAIL_USER}
mail.server.password = ${MAIL_PASSWORD}
mail.server.port = 587
mail.extraproperties = mail.smtp.starttls.enable=true


# Eurac IAL: Contact information
lr.help.mail = clarin@eurac.edu
lr.help.phone = +39 0471 055 129
mail.from.address = ${MAIL_USER}
mail.replyto.address = noreply@scientificnet.org
mail.feedback.recipient = clarin@eurac.edu
info.recipient = clarin@eurac.edu
mail.alert.recipient = ${mail.admin}
mail.registration.notify = ${mail.admin}

# General site administration (Webmaster) e-mail
mail.admin = ${mail.feedback.recipient}

# Email where errors will be sent (from specific classes)
lr.errors.email=

# solr server address that your instance is using.
solr.server = http://localhost:8080/repository/solr

# Google Analytics
# NOTE: Copy appropriate Google Analytics API key file to the location specified
#       below upon first installation
#       Be sure to choose location that is not deleted/overwritten upon deployment
#       (the default value is safe)
lr.ga.analytics.key.file = 
lr.ga.analytics.profile.id = 
lr.ga.analytics.account.email = 

# Path of the sources folder that is used for the compilation of this dspace instance.
lr.dspace.source.dir = /opt/lindat-dspace/sources/

# Backup Configurations ####################

# which files/directories needs backup
lr.backup.source = (/opt/lindat-dspace/installation/ /opt/lindat-dspace/database/ /opt/lindat-dspace/sources/ /opt/nginx /etc/libapache2-mod-jk /opt/shibboleth-sp-fastcgi/etc/shibboleth /opt/tomcat8/ /etc/cron.d/dspace)

# where the backup should be stored
lr.backup.target = "/home/backup/"

# the following settings are good to keep one month of restorable backup
# with differential backup every day and full backup every week

# max levels of differential backups
backup2l.max.level = 1
# how many differential backups per level before new level
backup2l.max.per.level = 6
# how many full backups to keep
backup2l.max.full = 4
# number of generations to keep per level
backup2l.generations = 4

############################################

# iRods specific for EUDAT
lr.replication.eudat.on=false
lr.replication.eudat.protocol=irods
lr.replication.eudat.host=
lr.replication.eudat.port=
lr.replication.eudat.username=
lr.replication.eudat.password=
lr.replication.eudat.homedirectory=
# directory in homedirectory where to put replicas for this instance
lr.replication.eudat.replicadirectory=
lr.replication.eudat.zone=
lr.replication.eudat.defaultstorage=
lr.replication.eudat.id=
lr.replication.eudat.notification_email=${info.recipient}
lr.replication.eudat.retrievetopath=
# default is not set
lr.replication.jargon.numThreads=
# default 32 * 1024 * 1024
lr.replication.jargon.MAX_SZ_FOR_SINGLE_BUF=
# default 65535
lr.replication.jargon.BUFFER_SIZE=
# log progress after count of iterations (depends on buffer_size)
lr.replication.jargon.PUT_LOG_AFTER=


# Selenium Testing #########################

# URLs that are required for test cases
selenium.test.home.url = /xmlui
selenium.test.browse.url = /xmlui/browse
selenium.test.search.url = /xmlui/discover
selenium.test.submission.url = /xmlui/submissions
selenium.test.submit.url = /xmlui/submit
selenium.test.local.login = /xmlui/password-login
selenium.test.oai.url = /oai

# default User for testing ... UserName should be the name that is supposed to appear on the home page after login.
selenium.test.user.id =
selenium.test.user.password =
selenium.test.user.name =

# admin User
selenium.test.admin.id =
selenium.test.admin.password =
selenium.test.admin.name =

# more users can be added by replacing *.user.* in the above credential settings
# the user will be used in testng.xml file to refer that user.

############################################

# Metadata quality ########################

# you should map the solr (if it is not public which it should not)
# url (or any other) into publicly accessible e.g., in apache conf
# using mod_rewrite:
#
#  RewriteRule ^/jm/repository/JSON/solr/(.*)$  http://localhost:8080/jm/solr/search/select/?q=*:*&rows=0&facet=on&wt=json&indent=true&facet.field=$1 [P,L]
#
# There are more ways in DSpace how to restrict metadata values (authority manager,
# value pairs, specific js code and this)
#
lr.autocomplete.on=true
lr.autocomplete.solr.url=${dspace.url}/JSON/solr/
lr.autocomplete.json_static.url=${dspace.url}/static/json/

lr.allow.edit.metadata = Eurac Research CLARIN Centre

############################################
#
# File download options
#
# minimum number of files for enabling zipped download:
lr.download.all.limit.min.file.count = 1
# maximum total size of files for enabling zipped download:
lr.download.all.limit.max.file.size = 1073741824
# minimum total size of files for enabling download alert:
lr.download.all.alert.min.file.size = 10485760

############################################
#
# File upload options
#
# maximum size of file for enabling upload alert
lr.upload.file.alert.max.file.size = 2147483648

#######
#
# Shibboleth
#
lr.shibboleth.log.path = /opt/shibboleth-sp-fastcgi/var/log/shibboleth
lr.shibboleth.log.defaultName = shibd.log
#the place where you run shibboleth's discoFeed handler ("https://"+hostname+"/Shibboleth.sso/DiscoFeed")
lr.shibboleth.discofeed.url = https://clarin.eurac.edu/Shibboleth.sso/DiscoFeed

####
#
# discojuice/aai url, without trailing slash
# don't change this on ufal-point-dev!
lr.aai.url = https://clarin.eurac.edu/aai

# For reports
harvesterInfo.url = http://catalog.clarin.eu/oai-harvester/

############################################
#
# User profile options
#
# whether to show language field in user profile
lr.xmlui.user.showlanguage = false

###############################################
# oai
#mind the documentation for oai/cite and the respective apache rewrite
lr.repository.identifier = clarin.eurac.edu 
lr.repository.sampleIdentifier = oai:clarin.eurac-dev.edu:11858/00-097C-0000-0001-487A-4

####
#
# description-olac.xml
####
lr.description.archiveURL = http://clarin.eurac.edu/
lr.description.participant.name = Alexander König
lr.description.institution = Eurac Research, Institute for Applied Linguistics
lr.description.institutionURL = http://www.eurac.edu/linguistics
lr.description.shortLocation = Bolzano, Italy
lr.description.location = Viale Druso, 1 / Drususallee 1, 39100 Bolzano / Bozen - Italy
lr.description.synopsis = http://www.eurac.edu
lr.desription.access = https://clarin.eurac.edu/repository/xmlui/page/about
lr.description.archivalSubmissionPolicy = https://clarin.eurac.edu/repository/xmlui/page/about


############################################
#
# Tracker configuration
#
# Enable or disable tracker
#lr.tracker.enabled = true
#
## Type of the tracker. Currently only the Piwik tracker is supported
#lr.tracker.type = piwik
#
# Tracker API URL to which tracking information is being sent
#lr.tracker.api.url = https://host/piwik/piwik.php
#
# Tracker API authentication token
#lr.tracker.api.auth.token = 
#
# Site ID under which OAI requests are filed
#lr.tracker.oai.site_id = 5
#
# Site ID under which Bitstream downloads are filed
#lr.tracker.bitstream.site_id = 5
#
############################################
lr.tracker.enabled = true
lr.tracker.type = piwik
lr.tracker.api.url = https://commul.eurac.edu/piwik/piwik.php
lr.tracker.api.auth.token =
lr.tracker.oai.site_id = 2
lr.tracker.bitstream.site_id = 2

lr.statistics.api.url = https://commul.eurac.edu/piwik/
lr.statistics.api.auth.token =
lr.statistics.api.site_id = 2
lr.statistics.report.path = ${dspace.dir}/piwik_reports
lr.statistics.show_last_n = 7
lr.lindat.logo.mono = ${dspace.dir}/webapps/xmlui/themes/UFAL/images/lindat/lindat-logo-mono.png

############################################
#
# Curation
#
############################################

# Space separated metadata patterns (regular expression)
# that should be ignored while checking for required metadata.
# Leave it empty if you want to check everything.
lr.curation.metadata.checkrequired.ignore = metashare.*

############################################
#
# Link checker
#
# User Agent string for link checker
#lr.link.checker.user.agent = "DSpace Link Validator"
#
# Connection timeout for link checker (in milliseconds)
#lr.link.checker.connect.timeout = 2000
#
# Read timeout for link checker (in milliseconds)
#lr.link.checker.read.timeout = 3000
#
############################################
lr.link.checker.user.agent = "DSpace Link Validator"
lr.link.checker.connect.timeout = 2000
lr.link.checker.read.timeout = 3000

### Entity ID of your shibboleth sp
lr.spEntityId = http://clarin.eurac.edu/sp/shibboleth

#####
#
#  shortener
#
####
lr.shortener.enabled = false
lr.shortener.handle.prefix = 1234

#####
#
# XSendFile header
#
####
lr.XSendFileHeader =
lr.XSendFilePathPrefix =

####
#
# drive etc config
#
####
#don't show anything in upload step
social.enabled=false
#id can't be null even when not configured
social.google.clientId=fake_id
#dto for secret
social.google.clientSecret=fake_secret
#neither password used to generate key to encrypt/decrypt user's tokens
social.userconnection.encrypt.password=1234567890abcdef
#salt must be hex encdoded string with length >= 8 bytes
social.userconnection.encrypt.salt=1234abcd

### TOS Page
lr.description.institution = Eurac Research, Institute for Applied Linguistics 
lr.description.location = Viale Druso, 1 / Drususallee 1, 39100 Bolzano / Bozen - Italy 
lr.description.country = Italy
lr.description.city = Bolzano

lr.compile.time=
